/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.bsvrz.dua.bastband.bastband.dvs.funclib.datawrapper;

/**
 * History:
 *
 * $Log: AtgLangZeitIntervallWrapper.java,v $
 * Revision 1.2  2007/07/25 13:02:10  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1  2007/07/04 11:42:41  Trier
 * Neuordnung
 *
 * Revision 1.1.1.1  2007/06/20 09:56:26  Trier
 * dvs alles
 *
 * Revision 1.5  2006/11/13 09:24:12  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.4  2006/04/28 05:48:49  Trier
 * Generics 1.5 verwendet
 *
 * Revision 1.3  2005/01/25 09:43:11  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.2  2005/01/21 13:26:16  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1  2004/03/23 13:39:33  Strey
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1.1.1  2004/03/23 13:15:18  Trier
 * Import/Export Modul
 *
 * Revision 1.1.1.1  2004/03/23 07:59:52  Trier
 * vrz
 *
 */
import de.bsvrz.dav.daf.main.Data;

/**
 * erweitert {@link AtgVerkehrsdatenLangZeitIntervall} um einen einfachen
 * Zugriff auf die Verkehrswerte zu haben.
 *
 * @author unbekannt
 * @version 1.0
 */
public class AtgLangZeitIntervallWrapper extends java.lang.Object {

	public static final String KFZ_GESCHWKLASSE = "qKfzGeschwKlasse";
	public static final String PKW_AE_GESCHWKLASSE = "qPkwÄGeschwKlasse";
	public static final String KFZ_NK_GESCHWKLASSE = "qKfzNkGeschwKlasse";
	public static final String PKW_G_GESCHWKLASSE = "qPkwGGeschwKlasse";
	public static final String PKW_GESCHWKLASSE = "qPkwGeschwKlasse";
	public static final String KRAD_GESCHWKLASSE = "qKradGeschwKlasse";
	public static final String LFW_GESCHWKLASSE = "qLfwGeschwKlasse";
	public static final String LKW_AE_GESCHWKLASSE = "qLkwÄGeschwKlasse";
	public static final String PKW_A_GESCHWKLASSE = "qPkwAGeschwKlasse";
	public static final String LKW_GESCHWKLASSE = "qLkwGeschwKlasse";
	public static final String BUS_GESCHWKLASSE = "qBusGeschwKlasse";
	public static final String LKW_K_GESCHWKLASSE = "qLkwKGeschwKlasse";
	public static final String LKW_A_GESCHWKLASSE = "qLkwAGeschwKlasse";
	public static final String SATTELKFZ_GESCHWKLASSE = "qSattelKfzGeschwKlasse";

	AtgVerkehrsdatenLangZeitIntervall _IntervallData;

	public Data getData() {
		return _IntervallData.getData();
	}

	public AtgLangZeitIntervallWrapper() {
		_IntervallData = new AtgVerkehrsdatenLangZeitIntervall();
		_IntervallData.doInitialize();
	}

	public AtgLangZeitIntervallWrapper(final Data data) {
		_IntervallData = new AtgVerkehrsdatenLangZeitIntervall(data);
	}

	public void setT(final long intervallLength) {
		_IntervallData.setT(intervallLength);
	}

	public void setQKfz(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQKfzNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqKfz();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQPkwAe(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQPkwAeNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwAE();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQLkwAe(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQLkwAeNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwAE();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQKfzNk(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqKfzNk();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQKfzNkNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqKfzNk();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQPkwG(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwG();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQPkwGNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwG();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQPkw(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		// -- initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQPkwNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkw();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		// -- initStatus(oAtl.getStatus(), false);
	}

	public void setQKrad(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqKrad();
		try {
			oAtl.setWert(value);
		} catch (final Exception e) {
			throw new IllegalArgumentException("QKrad konnte nicht auf den Wert: " + value
					+ " gesetzt werden. (isNichtErfasst war " + isNichtErfasst + ")", e);
		}
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQKradNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqKrad();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQLfw(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLfw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQLfwNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLfw();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQLkw(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQLkwNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkw();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQPkwA(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQPkwANotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwA();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQBus(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqBus();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQBusNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqBus();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQLkwK(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwK();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQLkwKNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwK();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQLkwA(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQLkwANotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwA();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQSattelKfz(final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqSattelKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQSattelKfzNotValid() {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqSattelKfz();
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setGeschwKlasseSize(final String type, final int size) {
		final Data.Array array = _IntervallData.getData().getArray(type);
		final int orgSize = array.getLength();
		array.setLength(size);
		for (int i = orgSize; i < size; i++) {
			(new AtlVerkehrsStaerkeStunde(array.getItem(i))).doInitialize();
		}

	}

	public void setQPkwAeGeschwKlasse(final int itemNr, final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwAEGeschwKlasse(itemNr);
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQPkwAeGeschwKlasseNotValid(final int itemNr) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqPkwAEGeschwKlasse(itemNr);
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	public void setQLkwAeGeschwKlasse(final int itemNr, final int value, final boolean isNichtErfasst) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwAEGeschwKlasse(itemNr);
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(isNichtErfasst);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setQLkwAeGeschwKlasseNotValid(final int itemNr) {
		final AtlVerkehrsStaerkeStunde oAtl = _IntervallData.getqLkwAEGeschwKlasse(itemNr);
		oAtl.setZustandWert(AtlVerkehrsStaerkeStunde.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(true);
		initStatus(oAtl.getStatus(), false);
	}

	// Geschw
	public void setVKfz(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVKfzNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfz();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVPkwAe(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVPkwAeNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwAE();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVKfzNk(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfzNk();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVKfzNkNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfzNk();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVPkwG(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwG();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVPkwGNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwG();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVPkw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVPkwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVKrad(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKrad();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVKradNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKrad();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVLfw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLfw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVLfwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLfw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVLkwAe(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVLkwAeNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwAE();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVLkw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVLkwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVPkwA(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVPkwANotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwA();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVBus(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvBus();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVBusNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvBus();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVLkwK(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwK();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVLkwKNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwK();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVLkwA(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVLkwANotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwA();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setVSattelKfz(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvSattelKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setVSattelKfzNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvSattelKfz();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85Kfz(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85KfzNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfz();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85PkwAe(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getv85PkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85PkwAeNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwAE();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85KfzNk(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfzNk();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85KfzNkNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKfzNk();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85PkwG(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwG();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85PkwGNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwG();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85Pkw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85PkwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85Krad(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKrad();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85KradNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvKrad();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85Lfw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLfw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85LfwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLfw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85Lkw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85LkwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85LkwAe(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85LkwAeNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwAE();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85PkwA(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85PkwANotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvPkwA();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85Bus(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvBus();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85BusNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvBus();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85LkwK(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwK();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85LkwKNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwK();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85LkwA(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85LkwANotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvLkwA();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setV85SattelKfz(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvSattelKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setV85SattelKfzNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getvSattelKfz();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	// StandardAbweichung
	// Geschw
	public void setSKfz(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSKfzNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsKfz();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSPkwAe(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSPkwAeNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkwAE();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSKfzNk(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsKfzNk();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSKfzNkNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsKfzNk();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSPkwG(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkwG();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSPkwGNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkwG();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSPkw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSPkwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSKrad(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsKrad();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSKradNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsKrad();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSLfw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLfw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSLfwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLfw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSLkw(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkw();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSLkwNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkw();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSLkwAe(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkwAE();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSLkwAeNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkwAE();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSPkwA(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSPkwANotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsPkwA();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSBus(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsBus();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSBusNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsBus();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSLkwK(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkwK();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSLkwKNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkwK();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSLkwA(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkwA();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSLkwANotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsLkwA();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	public void setSSattelKfz(final double value, final boolean isNichtErfasst) {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsSattelKfz();
		oAtl.setWert(value);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), isNichtErfasst);
	}

	public void setSSattelKfzNotValid() {
		final AtlGeschwindigkeit oAtl = _IntervallData.getsSattelKfz();
		oAtl.setZustandWert(AtlGeschwindigkeit.ZUSTAND_WERT_NICHT_ERMITTELBAR);
		// oAtl.getGuete().setIndex( (byte) 1);
		// oAtl.getStatus().getErfassung().setNichtErfasst(false);
		initStatus(oAtl.getStatus(), false);
	}

	/**
	 *
	 * <pre>
	 * setzt
	 *    Erfassung.NichtErfasst,
	 *    PlFormal.WertMax,
	 *    PlFormal.WertMin,
	 *    PlLogisch.WertMaxLogisch,
	 *    PlLogisch.WertMinLogisch,
	 *    MessWertErsetzung.Implausibel,
	 *    MessWertErsetzung.Interpoliert
	 * auf false.
	 * </pre>
	 *
	 * @param status
	 *            AtlStatus
	 * @param nichtErfasst
	 *            markiert nicht erfasste Daten
	 */
	public void initStatus(final AtlStatus status, final boolean nichtErfasst) {
		status.getErfassung().setNichtErfasst(nichtErfasst);
		status.getPlFormal().setWertMax(false);
		status.getPlFormal().setWertMin(false);
		status.getPlLogisch().setWertMaxLogisch(false);
		status.getPlLogisch().setWertMinLogisch(false);
		status.getMessWertErsetzung().setImplausibel(false);
		status.getMessWertErsetzung().setInterpoliert(false);
	}

	@Override
	public String toString() {
		return _IntervallData.toString();
	}

}
