/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.bsvrz.dua.bastband.bastband.dvs.funclib.objectwrapper;

import java.util.List;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.config.AttributeGroup;
import de.bsvrz.dav.daf.main.config.ConfigurationObject;
import de.bsvrz.dav.daf.main.config.ConfigurationObjectType;
import de.bsvrz.dav.daf.main.config.DataModel;
import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.dua.bastband.bastband.dvs.funclib.DataModellMismatchException;
import de.bsvrz.dua.bastband.bastband.dvs.funclib.DataModellObjectNotFoundException;
import de.bsvrz.dua.bastband.bastband.dvs.funclib.LogosClientDavConnection;

/**
 * History:
 *
 * $Log: FahrstreifenQuelleVirtuell.java,v $
 * Revision 1.1  2007/07/04 11:43:54  Trier
 * Neuordnung
 *
 * Revision 1.1.1.1  2007/06/20 09:56:26  Trier
 * dvs alles
 *
 * Revision 1.3  2006/04/28 05:48:49  Trier
 * Generics 1.5 verwendet
 *
 * Revision 1.2  2005/01/21 13:26:16  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1.1.1  2004/03/23 13:14:19  Trier
 * Basis für LogosApps
 *
 * Revision 1.1.1.1  2004/03/23 07:59:52  Trier
 * vrz
 *
 */

/**
 * kapselt den DatenModellTyp verkehrsDatenQuelleVirtuell
 */
public class FahrstreifenQuelleVirtuell extends ConfigurationObjectWrapper implements FahrstreifenQuelle {

	private static ConfigurationObjectType __ConfigurationObjectType;
	private static AttributeGroup __AtgVerkehrsDatenQuelleVirtuell;
	private String _BerechnungsVorschrift;

	public String getBerechnungsVorschrift() {
		return _BerechnungsVorschrift;
	}

	protected FahrstreifenQuelleVirtuell(final String pid)
			throws DataModellMismatchException, DataModellObjectNotFoundException {
		super(pid);
	}

	protected FahrstreifenQuelleVirtuell(final ConfigurationObject confObj) throws DataModellMismatchException {
		super(confObj);
	}

	@Override
	protected void initData(final ConfigurationObject confObj) {
		final Data oData = confObj.getConfigurationData(FahrstreifenQuelleVirtuell.__AtgVerkehrsDatenQuelleVirtuell);
		_BerechnungsVorschrift = oData.getTextValue("BerechnungsVorschrift").getText();
	}

	/**
	 * gibt ein Array aller Objekte zurück, die vom Typ
	 * typ.verkehrsDatenQuelleVirtuell sind.
	 *
	 * @return FahrstreifenQuelleASCII[]
	 * @throws DataModellMismatchException
	 *             ungültiges Datenmodell
	 */
	public static FahrstreifenQuelleVirtuell[] getAll() throws DataModellMismatchException {
		final List<SystemObject> list = LogosClientDavConnection.getInstance().getDataModel()
				.getType("typ.verkehrsDatenQuelleVirtuell").getElements();
		final FahrstreifenQuelleVirtuell[] retValue = new FahrstreifenQuelleVirtuell[list.size()];
		for (int i = 0; i < list.size(); i++) {
			retValue[i] = new FahrstreifenQuelleVirtuell((ConfigurationObject) list.get(i));
		}
		return retValue;
	}

	@Override
	public String toString() {
		final StringBuffer sb = new StringBuffer();
		sb.append("PID: \"").append(getPID());
		sb.append("\"  BerechnungsVorschrift: \"").append(_BerechnungsVorschrift);
		sb.append("\"");
		return sb.toString();
	}

	@Override
	public String getTreeString() {
		return getName();
	}

	@Override
	ConfigurationObjectType getType() {
		if (FahrstreifenQuelleVirtuell.__ConfigurationObjectType == null) {
			final DataModel model = LogosClientDavConnection.getInstance().getDataModel();
			FahrstreifenQuelleVirtuell.__ConfigurationObjectType = (ConfigurationObjectType) model
					.getType("typ.verkehrsDatenQuelleVirtuell");
			FahrstreifenQuelleVirtuell.__AtgVerkehrsDatenQuelleVirtuell = model
					.getAttributeGroup("atg.verkehrsDatenQuelleVirtuell");
			final List<SystemObject> list = FahrstreifenQuelleVirtuell.__ConfigurationObjectType.getElements();
			model.getConfigurationData(list, FahrstreifenQuelleVirtuell.__AtgVerkehrsDatenQuelleVirtuell);
		}
		return FahrstreifenQuelleVirtuell.__ConfigurationObjectType;
	}

}
